TDREPLAY(1)

NAME
tdreplay - replay input to a terminal program

SYNOPSIS
tdreplay [OPTIONS] RECORDING

DESCRIPTION
tdreplay replays the input from a recording to the terminal program named in the recording. This allows verification that the program behaviour has not changed, or confirmation that it has.

OPTIONS
tdreplay accepts the following options:

-h, --help
    Display a short help message.

-V, --version
    Print version and copyright information.

-a cmd, --alert=cmd
    Execute cmd when a difference is detected between the recorded output and the output generated by replaying the input back to the program. The environment variable REASON contains a message about what sort of difference was detected. A useful command is 'xmessage "$REASON"'.

-d, --display
    Show the output of the running program on the current terminal. The default is to only verify that the program behaves as recorded without showing the output.

-e action, --on-error=action
    Set the action to take when a difference is detected between the recorded and the actual output. Possible values for action are interact, continue and abort. When the action is interact, tdreplay will allow the user to interact with the program. When the action is continue, tdreplay will continue as if no difference was detected. This can be dangerous as the input is no longer in sync with the output. Depending on the possible actions of the program being run this can cause data corruption.

-k delay, --key-delay=delay
    Set the delay for sending a the next keys to delay. Delay may be either a fixed number of miliseconds, or it may be specified as / (slash) followed by a divisor. When a divisor is specified, all key delays specified in the recording will be divided by the divisor.

-l log, --log=log
    Write a log of the events to log. This may be useful in figuring out what the difference between the recorded and the actual output is.

-R, --no-resize
    Do not try to resize the output terminal by sending a resize command sequence.

-v, --visual-compare
    Check for visual equality, rather than exact input/output behaviour. (Requires a build with ncurses support.)

-D, --describe
    Write a description of the first visual difference encountered. Only useful with -v/--visual-compare. (Requires a build with ncurses support.)

-p name, --picture=name
    Write a picture of the difference to name. Only useful with -v/--visual-compare. (Requires a build with ncurses and Cairo support.)

-f font, --font=font
    Use font to show text in generated pictures. Only useful with -p/--picture or -P/--picture-series. (Requires a build with ncurses and Cairo support.)

-W width, --cell-width=width
    Use cells of width pixels wide in generated pictures. Only useful with -p/--picture or -P/--picture-series. (Requires a build with ncurses and Cairo support.)

-H height, --cell-height=height
    Use cells of height pixels wide in generated pictures. Only useful with -p/--picture or -P/--picture-series. (Requires a build with ncurses and Cairo support.)

-P name, --picture-series=name
    Create a series of pictures, representing the different visual steps in the client interface, using name as the file name template. name is a printf(3) format string, where a single d-type conversion is required. (Requires a build with ncurses, Cairo and Pthread support.)

To stop tdreplay from interpreting file names that start with a dash as options, one can specify a double dash (--) after which tdreplay will interpret any following arguments as files to read.

BUGS
If you think you have found a bug, please check that you are using the latest version of termdebug <http://os.ghalkes.nl/termdebug>. When reporting bugs, please include a minimal example that demonstrates the problem.

AUTHOR
G.P. Halkes <termdebug@ghalkes.nl>

COPYRIGHT
Copyright © 2010,2012-2013 G.P. Halkes
termdebug is licensed under the GNU General Public License version 3.
For more details on the license, see the file COPYING in the documentation directory. On Un*x systems this is usually /usr/share/doc/termdebug.

SEE ALSO
termdebug(1), tdrecord(1), tdrerecord(1), tdview(1), tdcompare(1)